Bug 1639 - [homes] section takes precedence over specific shares
[homes] section takes precedence over specific shares
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.4
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 12:48 UTC by Bill Marshall
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Marshall 2004-08-20 12:48:43 UTC
The smb.conf docs say:
When the connection request is made, the existing sections are scanned. If a
match is found, it is used. If no match is found, the requested section name is
treated as a username and looked up in the local password file. If the name
exists and the correct password has been given, a share is created by cloning
the [homes] section.

This worked under Samba 2.2.8, but when we upgraded to 3.04, the [homes] section
seems to get precedence.

If you are connecting as "testuser" and you have in the smb.conf

[testuser]
    comment =  testing
    admin users = testuser
    path = /tmp/testuser
    writeable = yes

[homes]
   comment = Home Directories
   browseable = no
   writable = yes

On a server w/out any homedirs we see:
[2004/08/20 14:21:35, 0] smbd/service.c:make_connection_snum(591)
  '/home/domain/testuser' does not exist or is not a directory, when connecting
to [testuser]

If both paths are valid, you will see files under the homedir path.
Comment 1 Gerald (Jerry) Carter 2004-08-20 15:42:15 UTC
should be fixed in 3.0.6.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.